Index: /trunk/src/bp-forums/bp-forums-filters.php
===================================================================
--- /trunk/src/bp-forums/bp-forums-filters.php	(revision 9470)
+++ /trunk/src/bp-forums/bp-forums-filters.php	(revision 9471)
@@ -105,6 +105,4 @@
  */
 function bp_forums_filter_tag_link( $link, $tag, $page, $context ) {
-	global $bp;
-
 	/**
 	 * Filters the link for a forum topic tags directory.
@@ -142,6 +140,4 @@
  * Append forum topic to page title.
  *
- * @global object $bp Global BuddyPress settings object.
- *
  * @see bp_modify_page_title()
  *
@@ -153,5 +149,4 @@
  */
 function bp_forums_add_forum_topic_to_page_title( $title, $original_title, $sep, $seplocation  ) {
-	global $bp;
 
 	if ( bp_is_current_action( 'forum' ) && bp_is_action_variable( 'topic', 0 ) )
Index: /trunk/src/bp-forums/bp-forums-functions.php
===================================================================
--- /trunk/src/bp-forums/bp-forums-functions.php	(revision 9470)
+++ /trunk/src/bp-forums/bp-forums-functions.php	(revision 9471)
@@ -316,5 +316,5 @@
  */
 function bp_forums_new_topic( $args = '' ) {
-	global $bp;
+	$bp = buddypress();
 
 	/** This action is documented in bp-forums/bp-forums-screens */
@@ -907,8 +907,10 @@
  */
 function bp_forums_get_post_extras( $posts ) {
-	global $bp, $wpdb;
+	global $wpdb;
 
 	if ( empty( $posts ) )
 		return $posts;
+
+	$bp = buddypress();
 
 	// Get the user ids
Index: /trunk/src/bp-forums/bp-forums-template.php
===================================================================
--- /trunk/src/bp-forums/bp-forums-template.php	(revision 9470)
+++ /trunk/src/bp-forums/bp-forums-template.php	(revision 9471)
@@ -28,6 +28,4 @@
 	 */
 	function bp_get_forums_slug() {
-		global $bp;
-
 		/**
 		 * Filters the forums component slug.
@@ -37,5 +35,5 @@
 		 * @param string $slug Forums component slug.
 		 */
-		return apply_filters( 'bp_get_forums_slug', $bp->forums->slug );
+		return apply_filters( 'bp_get_forums_slug', buddypress()->forums->slug );
 	}
 
@@ -58,6 +56,4 @@
 	 */
 	function bp_get_forums_root_slug() {
-		global $bp;
-
 		/**
 		 * Filters the forums component root slug.
@@ -67,5 +63,5 @@
 		 * @param string $root_slug Forums component root slug.
 		 */
-		return apply_filters( 'bp_get_forums_root_slug', $bp->forums->root_slug );
+		return apply_filters( 'bp_get_forums_root_slug', buddypress()->forums->root_slug );
 	}
 
@@ -231,5 +227,5 @@
 	 */
 	function __construct( $type, $forum_id, $user_id, $page, $per_page, $max, $no_stickies, $search_terms, $offset = false, $number = false ) {
-		global $bp;
+		$bp = buddypress();
 
 		$this->pag_page     = $page;
@@ -333,5 +329,5 @@
 		 * @param string $no_stickies Requested sticky format.
 		 */
-		$this->topic_count       = apply_filters_ref_array( 'bp_forums_template_topic_count',                                 array( $this->topic_count, &$this->topics, $type, $forum_id, $per_page, $max, $no_stickies ) );
+		$this->topic_count = apply_filters_ref_array( 'bp_forums_template_topic_count', array( $this->topic_count, &$this->topics, $type, $forum_id, $per_page, $max, $no_stickies ) );
 
 		/**
@@ -499,5 +495,7 @@
  */
 function bp_has_forum_topics( $args = '' ) {
-	global $forum_template, $bp;
+	global $forum_template;
+
+	$bp = buddypress();
 
 	/***
@@ -1666,6 +1664,4 @@
 	 */
 	function bp_get_my_forum_topics_link() {
-		global $bp;
-
 		/**
 		 * Filters the permalink to the 'personal' topics tab.
@@ -1690,6 +1686,4 @@
 	 */
 	function bp_get_unreplied_forum_topics_link() {
-		global $bp;
-
 		/**
 		 * Filters the permalink to the 'unreplied' topics tab.
@@ -1714,6 +1708,4 @@
 	 */
 	function bp_get_popular_forum_topics_link() {
-		global $bp;
-
 		/**
 		 * Filters the permalink to the 'popular' topics tab.
@@ -1738,6 +1730,4 @@
 	 */
 	function bp_get_newest_forum_topics_link() {
-		global $bp;
-
 		/**
 		 * Filters the link to the forums directory.
@@ -1764,5 +1754,4 @@
 	 */
 	function bp_get_forum_topic_type() {
-		global $bp;
 
 		if ( !bp_is_directory() || !bp_current_action() )
@@ -1879,5 +1868,5 @@
 	 */
 	function bp_get_forum_pagination_count() {
-		global $bp, $forum_template;
+		global $forum_template;
 
 		$start_num  = intval( ( $forum_template->pag_page - 1 ) * $forum_template->pag_num ) + 1;
@@ -1909,5 +1898,4 @@
  */
 function bp_is_edit_topic() {
-	global $bp;
 
 	if ( bp_is_action_variable( 'post' ) && bp_is_action_variable( 'edit' ) )
@@ -2061,9 +2049,9 @@
 	 */
 	function __construct( $topic_id, $per_page, $max, $order ) {
-		global $bp, $current_user, $forum_template;
-
-                if ( !isset( $forum_template ) ) {
-                        $forum_template = new stdClass;
-                }
+		global $forum_template;
+
+		if ( !isset( $forum_template ) ) {
+			$forum_template = new stdClass;
+		}
 
 		$this->pag_page        = isset( $_REQUEST['topic_page'] ) ? intval( $_REQUEST['topic_page'] ) : 1;
@@ -2193,5 +2181,4 @@
 	 */
 	function the_post() {
-		global $post;
 
 		$this->in_the_loop = true;
@@ -2516,5 +2503,5 @@
 	 */
 	function bp_get_the_topic_post_is_mine() {
-		global $bp, $topic_template;
+		global $topic_template;
 
 		return bp_loggedin_user_id() == $topic_template->post->poster_id;
@@ -2629,5 +2616,5 @@
  */
 function bp_the_topic_pagination_count() {
-	global $bp, $topic_template;
+	global $topic_template;
 
 	$start_num = intval( ( $topic_template->pag_page - 1 ) * $topic_template->pag_num ) + 1;
@@ -2758,5 +2745,4 @@
 	 */
 	function bp_get_forum_name( $forum_id = 0 ) {
-		global $bp;
 
 		if ( empty( $forum_id ) ) {
Index: /trunk/src/bp-friends/bp-friends-classes.php
===================================================================
--- /trunk/src/bp-friends/bp-friends-classes.php	(revision 9470)
+++ /trunk/src/bp-friends/bp-friends-classes.php	(revision 9471)
@@ -113,5 +113,7 @@
 	 */
 	public function populate() {
-		global $wpdb, $bp;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		if ( $friendship = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM {$bp->friends->table_name} WHERE id = %d", $this->id ) ) ) {
@@ -138,5 +140,7 @@
 	 */
 	public function save() {
-		global $wpdb, $bp;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		$this->initiator_user_id = apply_filters( 'friends_friendship_initiator_user_id_before_save', $this->initiator_user_id, $this->id );
@@ -178,5 +182,8 @@
 
 	public function delete() {
-		global $wpdb, $bp;
+		global $wpdb;
+
+		$bp = buddypress();
+
 		return $wpdb->query( $wpdb->prepare( "DELETE FROM {$bp->friends->table_name} WHERE id = %d", $this->id ) );
 	}
@@ -195,5 +202,5 @@
 	 */
 	public static function get_friend_user_ids( $user_id, $friend_requests_only = false, $assoc_arr = false ) {
-		global $wpdb, $bp;
+		global $wpdb;
 
 		if ( !empty( $friend_requests_only ) ) {
@@ -205,4 +212,5 @@
 		}
 
+		$bp = buddypress();
 		$friends = $wpdb->get_results( "SELECT friend_user_id, initiator_user_id FROM {$bp->friends->table_name} {$friend_sql} {$oc_sql} ORDER BY date_created DESC" );
 		$fids = array();
@@ -228,5 +236,7 @@
 	 */
 	public static function get_friendship_id( $user_id, $friend_id ) {
-		global $wpdb, $bp;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		return $wpdb->get_var( $wpdb->prepare( "SELECT id FROM {$bp->friends->table_name} WHERE ( initiator_user_id = %d AND friend_user_id = %d ) OR ( initiator_user_id = %d AND friend_user_id = %d ) AND is_confirmed = 1", $user_id, $friend_id, $friend_id, $user_id ) );
@@ -244,5 +254,7 @@
 
 		if ( false === $friend_requests ) {
-			global $wpdb, $bp;
+			global $wpdb;
+
+			$bp = buddypress();
 
 			$friend_requests = $wpdb->get_col( $wpdb->prepare( "SELECT initiator_user_id FROM {$bp->friends->table_name} WHERE friend_user_id = %d AND is_confirmed = 0", $user_id ) );
@@ -263,8 +275,10 @@
 	 */
 	public static function total_friend_count( $user_id = 0 ) {
-		global $wpdb, $bp;
+		global $wpdb;
 
 		if ( empty( $user_id ) )
 			$user_id = ( bp_displayed_user_id() ) ? bp_displayed_user_id() : bp_loggedin_user_id();
+
+		$bp = buddypress();
 
 		/* This is stored in 'total_friend_count' usermeta.
@@ -298,5 +312,5 @@
 	 */
 	public static function search_friends( $filter, $user_id, $limit = null, $page = null ) {
-		global $wpdb, $bp;
+		global $wpdb;
 
 		// TODO: Optimize this function.
@@ -321,4 +335,6 @@
 		if ( empty( $fids ) )
 			return false;
+
+		$bp = buddypress();
 
 		// filter the user_ids based on the search criteria.
@@ -356,9 +372,11 @@
 	 */
 	public static function check_is_friend( $initiator_userid, $possible_friend_userid ) {
-		global $wpdb, $bp;
+		global $wpdb;
 
 		if ( empty( $initiator_userid ) || empty( $possible_friend_userid ) ) {
 			return false;
 		}
+
+		$bp = buddypress();
 
 		$result = $wpdb->get_results( $wpdb->prepare( "SELECT id, initiator_user_id, is_confirmed FROM {$bp->friends->table_name} WHERE (initiator_user_id = %d AND friend_user_id = %d) OR (initiator_user_id = %d AND friend_user_id = %d)", $initiator_userid, $possible_friend_userid, $possible_friend_userid, $initiator_userid ) );
@@ -419,5 +437,8 @@
 	 */
 	public static function accept($friendship_id) {
-		global $wpdb, $bp;
+		global $wpdb;
+
+		$bp = buddypress();
+
 	 	return $wpdb->query( $wpdb->prepare( "UPDATE {$bp->friends->table_name} SET is_confirmed = 1, date_created = %s WHERE id = %d AND friend_user_id = %d", bp_core_current_time(), $friendship_id, bp_loggedin_user_id() ) );
 	}
@@ -430,5 +451,8 @@
 	 */
 	public static function withdraw($friendship_id) {
-		global $wpdb, $bp;
+		global $wpdb;
+
+		$bp = buddypress();
+
 		return $wpdb->query( $wpdb->prepare( "DELETE FROM {$bp->friends->table_name} WHERE id = %d AND initiator_user_id = %d", $friendship_id, bp_loggedin_user_id() ) );
 	}
@@ -441,5 +465,8 @@
 	 */
 	public static function reject($friendship_id) {
-		global $wpdb, $bp;
+		global $wpdb;
+
+		$bp = buddypress();
+
 		return $wpdb->query( $wpdb->prepare( "DELETE FROM {$bp->friends->table_name} WHERE id = %d AND friend_user_id = %d", $friendship_id, bp_loggedin_user_id() ) );
 	}
@@ -458,5 +485,5 @@
 	 */
 	public static function search_users( $filter, $user_id, $limit = null, $page = null ) {
-		global $wpdb, $bp;
+		global $wpdb;
 
 		// Only search for matching strings at the beginning of the
@@ -470,4 +497,6 @@
 		if ( !empty( $limit ) && !empty( $page ) )
 			$pag_sql = $wpdb->prepare( " LIMIT %d, %d", intval( ( $page - 1 ) * intval( $limit ) ), intval( $limit ) );
+
+		$bp = buddypress();
 
 		// filter the user_ids based on the search criteria.
@@ -495,5 +524,5 @@
 	 */
 	public static function search_users_count( $filter ) {
-		global $wpdb, $bp;
+		global $wpdb;
 
 		// Only search for matching strings at the beginning of the
@@ -503,4 +532,6 @@
 		$usermeta_table = $wpdb->prefix . 'usermeta';
 		$users_table    = $wpdb->base_prefix . 'users';
+
+		$bp = buddypress();
 
 		// filter the user_ids based on the search criteria.
@@ -528,8 +559,10 @@
 	 */
 	public static function sort_by_name( $user_ids ) {
-		global $wpdb, $bp;
+		global $wpdb;
 
 		if ( !bp_is_active( 'xprofile' ) )
 			return false;
+
+		$bp = buddypress();
 
 		$user_ids = implode( ',', wp_parse_id_list( $user_ids ) );
@@ -548,6 +581,7 @@
 	 */
 	public static function get_random_friends( $user_id, $total_friends = 5 ) {
-		global $wpdb, $bp;
-
+		global $wpdb;
+
+		$bp      = buddypress();
 		$fids    = array();
 		$sql     = $wpdb->prepare( "SELECT friend_user_id, initiator_user_id FROM {$bp->friends->table_name} WHERE (friend_user_id = %d || initiator_user_id = %d) && is_confirmed = 1 ORDER BY rand() LIMIT %d", $user_id, $user_id, $total_friends );
@@ -612,5 +646,8 @@
 	 */
 	public static function get_user_ids_for_friendship( $friendship_id ) {
-		global $wpdb, $bp;
+		global $wpdb;
+
+		$bp = buddypress();
+
 		return $wpdb->get_row( $wpdb->prepare( "SELECT friend_user_id, initiator_user_id FROM {$bp->friends->table_name} WHERE id = %d", $friendship_id ) );
 	}
@@ -622,5 +659,7 @@
 	 */
 	public static function delete_all_for_user( $user_id ) {
-		global $wpdb, $bp;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		// Get friends of $user_id
Index: /trunk/src/bp-friends/bp-friends-filters.php
===================================================================
--- /trunk/src/bp-friends/bp-friends-filters.php	(revision 9470)
+++ /trunk/src/bp-friends/bp-friends-filters.php	(revision 9471)
@@ -16,5 +16,4 @@
  * @since BuddyPress (1.7.0)
  *
- * @global BuddyPress $bp Global BuddyPress settings.
  * @global WPDB $wpdb WordPress database access object.
  *
@@ -24,5 +23,5 @@
  */
 function bp_friends_filter_user_query_populate_extras( BP_User_Query $user_query, $user_ids_sql ) {
-	global $bp, $wpdb;
+	global $wpdb;
 
 	// stop if user isn't logged in
@@ -30,4 +29,6 @@
 		return;
 	}
+
+	$bp = buddypress();
 
 	// Fetch whether or not the user is a friend of the current user
Index: /trunk/src/bp-groups/bp-groups-actions.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-actions.php	(revision 9470)
+++ /trunk/src/bp-groups/bp-groups-actions.php	(revision 9471)
@@ -96,5 +96,4 @@
  */
 function groups_action_create_group() {
-	global $bp;
 
 	// If we're not at domain.org/groups/create/ then return false
@@ -109,4 +108,6 @@
 		bp_core_redirect( bp_get_groups_directory_permalink() );
 	}
+
+	$bp = buddypress();
 
 	// Make sure creation steps are in the right order
@@ -361,5 +362,4 @@
  */
 function groups_action_join_group() {
-	global $bp;
 
 	if ( !bp_is_single_item() || !bp_is_groups_component() || !bp_is_current_action( 'join' ) )
@@ -369,4 +369,6 @@
 	if ( !check_admin_referer( 'groups_join_group' ) )
 		return false;
+
+	$bp = buddypress();
 
 	// Skip if banned or already a member
@@ -457,8 +459,9 @@
  */
 function groups_action_sort_creation_steps() {
-	global $bp;
 
 	if ( !bp_is_groups_component() || !bp_is_current_action( 'create' ) )
 		return false;
+
+	$bp = buddypress();
 
 	if ( !is_array( $bp->groups->group_creation_steps ) )
Index: /trunk/src/bp-groups/bp-groups-cache.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-cache.php	(revision 9470)
+++ /trunk/src/bp-groups/bp-groups-cache.php	(revision 9471)
@@ -29,5 +29,5 @@
  */
 function bp_groups_update_meta_cache( $group_ids = false ) {
-	global $bp;
+	$bp = buddypress();
 
 	$cache_args = array(
